require 'spec_helper'

describe CustomReport do

  before(:each) {
    report_foo = Report.create_from_yaml(File.read(File.join(File.dirname(__FILE__), "../fixtures/reports/foo.yaml")))
    baseline_report_foo = Factory(:inspect_report, :host => report_foo.host, :time => report_foo.time + 1.hour)
    node_baseline_foo = NodeBaseline.create_from_report!(baseline_report_foo, baseline_report_foo.time)
    @group = NodeGroup.generate!()
    @group.nodes = [report_foo.node]
    @custom_report = CustomReport.create!( :group_id => @group.id, :node_baseline_id => node_baseline_foo.id)
  }

  it "should use the group name when a group is present" do
    @custom_report.title.should == "#{@group.name} (0%)"
  end

  it "should indicate when a group has been deleted" do
    @group.destroy

    # In order to properly test this we need to load the custom report
    # from the DB after the group has been destroyed. We do this by
    # re-loading based on the id of our newly created custom report
    @custom_report = CustomReport.find(@custom_report.id)
    @custom_report.title.should == "&ltdeleted&gt"
  end
end
